# Update an identity Update an existing identity Endpoint: PUT /identities/{identity-id} Version: 1.0.0 Security: Bearer ## Path parameters: - `identity-id` (string, required) The ID of the identity to update. Example: "2f4ac57f-c5ba-4051-b51f-b3565778717b" ## Request fields (application/json): - `clientId` (string) The unique ID of the client updating this identity - `piiData` (object) PII data in JSON format - `identityType` (string) The type of the identity Enum: "SENDER", "BENEFICIARY", "ORIGINATOR" - `nickName` (string) The new nickname for the identity.Note: Don't include any personally identifiable information in this field. Example: "MyNewCompany" ## Response 200 fields (application/json): - `identityId` (string, required) The unique ID of the identity Example: "2f4ac57f-c5ba-4051-b51f-b3565778717b" - `identityType` (string, required) The type of the identity Enum: "SENDER", "BENEFICIARY", "ORIGINATOR" - `createdAt` (string, required) The time at which the identity was created Example: "2023-11-02T18:26:00.000Z" - `identityState` (string, required) The state of the identity Enum: "ACTIVE", "BLOCKED", "DELETED" - `nickName` (string) The nickname of the identity provided at the time of identity creation. Example: "MyCompany" - `piiData` (object, required) PII data in JSON format - `clientId` (string) The unique ID of the client creating this identity Example: "2f4ac57f-c5ba-4051-b51f-b3565778717b" - `version` (integer, required) The version number of the identity Example: 2 ## Response 404 fields (application/json): - `status` (integer, required) The HTTP status code of the error Example: 404 - `errors` (array, required) - `errors.code` (string, required) The HTTP status code of the error Example: "404" - `errors.category` (string) The category of the error Enum: "APPLICATION", "CLIENT_ERROR" - `errors.title` (string) The title of the error Example: "NOT FOUND" - `errors.detail` (string, required) The detail of the error Example: "The identity does not exist" - `errors.retryable` (boolean) Flag to specify if the error is retryable or not - `timestamp` (string) The timestamp of the error Example: "2023-11-02T18:26:00.000Z" ## Response 500 fields (application/json): - `status` (integer, required) The HTTP status code of the error Example: 404 - `errors` (array, required) - `errors.code` (string, required) The HTTP status code of the error Example: "404" - `errors.category` (string) The category of the error Enum: "APPLICATION", "CLIENT_ERROR" - `errors.title` (string) The title of the error Example: "NOT FOUND" - `errors.detail` (string, required) The detail of the error Example: "The identity does not exist" - `errors.retryable` (boolean) Flag to specify if the error is retryable or not - `timestamp` (string) The timestamp of the error Example: "2023-11-02T18:26:00.000Z"